• 👍 👍 👍 👍 👍 👍 👍

  • 楼主,出现以下提示,该怎么解决啊?
    Cannot find module 'eslint-config-appium'
    Referenced from: /usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/.eslintrc
    Error: Cannot find module 'eslint-config-appium'
    Referenced from: /usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/.eslintrc
    at ModuleResolver.resolve (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/util/module-resolver.js:74:19)
    at resolve (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config/config-file.js:515:25)
    at load (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config/config-file.js:532:26)
    at /usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config/config-file.js:424:36
    at Array.reduceRight (native)
    at applyExtends (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config/config-file.js:408:28)
    at Object.load (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config/config-file.js:566:22)
    at loadConfig (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config.js:63:33)
    at getLocalConfig (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config.js:130:29)
    at Config.getConfig (/usr/local/lib/node_modules/appium/node_modules/_appium-xcuitest-driver@2.30.1@appium-xcuitest-driver/WebDriverAgent/Inspector/node_modules/eslint/lib/config.js:260:26)

  • sudo gem install -n /usr/local/bin xcpretty

  • gem install xcpretty出错,切换目录也是,应该怎么处理啊

  • 准备做App端吗?